// JSwat test class for watchpoints.
// $Id: Watches.java 832 2003-01-30 07:06:42Z nfiedler $

import java.util.ArrayList;

public class Watches {

    public void runtest() {
        // Populate the test list.
        ArrayList list = new ArrayList();
        for (int ii = 0; ii < 20; ii++) {
            MutableInteger mi = new MutableInteger(ii);
            list.add(mi);
        }

        // Modify the values to cause modification events.
        for (int ii = 0; ii < list.size(); ii++) {
            MutableInteger mi = (MutableInteger) list.get(ii);
            mi.setValue(mi.getValue() * 2);
        }
    }

    public static void main(String[] args) {
        Watches me = new Watches();
        me.runtest();
    }

    public class MutableInteger {
        private int value;

        public MutableInteger(int i) {
            value = i;
        }

        public int getValue() {
            return value;
        }

        public void setValue(int i) {
            value = i;
        }
    }
}
